Moderator Control Panel ]

How to install open source linux driver

News and information about TBS products.

How to install open source linux driver

Postby steven » Sun Sep 30, 2018 10:36 am

Hi All

As we already released our open source driver the driver install way is little different with before ,please check these steps to intall :

1.Go to our Github page you will find detail information :

https://github.com/tbsdtv/linux_media/wiki
Downloading and building
git clone https://github.com/tbsdtv/media_build.git
git clone --depth=1 https://github.com/tbsdtv/linux_media.git -b latest ./media
cd media_build
make dir DIR=../media
make allyesconfig
make -j4
sudo make install
sudo reboot


Firmware
wget http://www.tbsdtv.com/download/document/linux/tbs-tuner-firmwares_v1.0.tar.bz2
sudo tar jxvf tbs-tuner-firmwares_v1.0.tar.bz2 -C /lib/firmware/

2.You can try our offline open source package usually after some time we will prepare one package .

#wget http://www.tbsdtv.com/download/document/linux/media_build-2018-0822.tar.bz2
# sudo rm -rf /lib/modules/`uname -r`/kernel/drivers/media/
#tar jxvf media_build-2018-0822.tar.bz2
#cd media_build
#./install.sh
#reboot

Some FAQ :
/bin/sh: 1: lsdiff: not found

sudo apt-get install patchutils
you may need to install the Proc::ProcessTable module

sudo apt-get install libproc-processtable-perl
fatal error: drx39xyj/drx39xxj.h: No such file or directory

mkdir -p v4l/drx39xyj
cp v4l/drx39xxj.h v4l/drx39xyj/
Can not find the 6909 firmware

wget http://www.tbsdtv.com/download/document/linux/dvb-fe-mxl5xx.fw
cp dvb-fe-mxl5xx.fw /lib/firmware/
If you find module load errors like "module has wrong symbol version", this means that there still are old modules from your previous Media Tree installation (usually duplicated modules in two different places).

sudo rm -rf /lib/modules/``uname -r``/kernel/drivers/media/*
Cannot use CONFIG_CC_STACKPROTECTOR_STRONG: -fstack-protector-strong not supported by compiler

sudo add-apt-repository ppa:ubuntu-toolchain-r/test
sudo apt-get update
sudo apt-get install gcc-4.9 g++-4.9
sudo rm /usr/bin/gcc
sudo ln -s /usr/bin/gcc-4.9 /usr/bin/gcc
make[2]: gcc: Command not found

sudo apt-get install gcc


For CentOS 7 Please check this steps
Update to new kernel

#rpm --import https://www.elrepo.org/RPM-GPG-KEY-elrepo.org
#rpm -Uvh http://www.elrepo.org/elrepo-release-7.0-2.el7.elrepo.noarch.rpm
#yum --enablerepo=elrepo-kernel install kernel-lt-devel kernel-lt -y
#grub2-set-default 0
Restart to load the new kernel and install gcc unzip

#yum -y install gcc
#yum -y install unzip
#reboot
Install required libraries

#yum -y install perl-devel perl-ExtUtils-CBuilder perl-ExtUtils-MakeMaker
#yum -y install patchutils
#yum -y install patch
Install the SHA

#wget https://sourceforge.net/projects/moiproamd/files/Files/Digest-SHA-5.93.tar.gz/download-O Digest-SHA-5.93.tar.gz
#tar xvf Digest-SHA-5.93.tar.gz
#cd Digest-SHA-5.93
#perl Makefile.PL
#make && make install
Install Perl

#wget https://sourceforge.net/projects/moiproamd/files/Files/perl-proc-processtable-master.zip/download -O perl-proc-processtable-master.zip
#unzip perl-proc-processtable-master.zip
#cd perl-proc-processtable-master
#perl Makefile.PL
#make && make install
Start install the open source driver, then start install the driver.

Thanks

Kind Regards

steven
steven
 
Posts: 1904
Joined: Fri Aug 06, 2010 3:23 pm

Re: How to install open source linux driver

Postby steven » Fri Feb 08, 2019 5:28 pm

Hi

We find that sometimes when using ubuntu kernel 4.4.0 can not install the driver , compile and install both are ok
but there is no dvb device in this case please update the kernel to 4.16 then try again

update the kernel you can do like this :
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.16/linux-headers-4.16.0-041600_4.16.0-041600.201804012230_all.deb
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.16/linux-headers-4.16.0-041600-generic_4.16.0-041600.201804012230_amd64.deb
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.16/linux-image-4.16.0-041600-generic_4.16.0-041600.201804012230_amd64.deb
sudo dpkg -i *.deb
reboot

after reboot using
uname -a check the kernel weather is 4.16 is yes then start install like this :
#wget http://www.tbsdtv.com/download/document/linux/media_build-2018-1019.tar.bz2
# sudo rm -rf /lib/modules/`uname -r`/kernel/drivers/media/
#tar jxvf media_build-2018-1019.tar.bz2
#cd media_build
#./install.sh
#reboot

Thanks

Kind Regards

steven
steven
 
Posts: 1904
Joined: Fri Aug 06, 2010 3:23 pm


Return to News

Who is online

Users browsing this forum: No registered users and 1 guest